Antiprism 0.23

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Functions

# base/vec4d.h File Reference

Vector for 4D geometry. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include "rand_gen.h"`
Include dependency graph for vec4d.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | vec4d
| Vector with 4 components. More...
## Functions
double | vdot (const vec4d &v1, const vec4d &v2)
| The dot product (scalar product)
vec4d | vcross (const vec4d &v1, const vec4d &v2, const vec4d &v3)
| The "cross" product (vector product)

## Detailed Description

Vector for 4D geometry.

A vector class with common vector operations.

## Function Documentation

vec4d vcross | ( | const vec4d & | v1,
|  | const vec4d & | v2,
|  | const vec4d & | v3
| ) |  |

The "cross" product (vector product)

Parameters:

  v1 | the first vector
  v2 | the second vector
  v3 | the third vector

Returns:
  A vector normal to the three vectors.

double vdot | ( | const vec4d & | v1,
|  | const vec4d & | v2
| ) |  | `[inline]`

The dot product (scalar product)

Parameters:

  v1 | the first vector
  v2 | the second vector

Returns:
  The dot product (`v1` . `v2`).